Get review metadata
curl --request GET \
--url https://neo.api.projectdiscovery.io/api/v1/github/review-metadata \
--header 'Authorization: Bearer <token>'import requests
url = "https://neo.api.projectdiscovery.io/api/v1/github/review-metadata"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://neo.api.projectdiscovery.io/api/v1/github/review-metadata', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"open_comment_count": 123,
"review_count": 123,
"critical_count": 123,
"findings": [
{
"body": "<string>",
"category": "<string>",
"file": "<string>",
"github_comment_id": 123,
"line_number": 123,
"resolved": true,
"resolved_by": "<string>",
"title": "<string>"
}
],
"findings_count": 123,
"high_count": 123,
"last_review_id": 123,
"last_reviewed_commit": "<string>",
"medium_count": 123,
"posted_count": 123,
"summary": "<string>",
"tasks": [
{
"command": "<string>",
"status": "<string>",
"task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"completed_at": "2023-11-07T05:31:56Z",
"result_data": {},
"result_summary": "<string>",
"thread_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}GitHub
Get review metadata
Get review metadata for a PR including task history.
GET
/
api
/
v1
/
github
/
review-metadata
Get review metadata
Authorizations
BearerAuthApiKeyAuth
JWT authentication token
Query Parameters
Installation record ID
Full repository name
Pull request number
Response
Review metadata with task history
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

